package de.ozgcloud.alfa.postfach;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import java.util.List;

import org.springframework.hateoas.server.mvc.WebMvcLinkBuilder;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.command.Command;
import de.ozgcloud.alfa.common.command.CommandOrder;
import de.ozgcloud.alfa.common.command.CommandProcessor;

@Component
public class PostfachNachrichtCommandProcessor extends CommandProcessor {

	private static final List<CommandOrder> RESPONSIBLE_ORDER = List.of(
			CommandOrder.RECEIVE_POSTFACH_NACHRICHT,
			CommandOrder.RESEND_POSTFACH_MAIL);

	private static final List<CommandOrder> RESPONSIBLE_EFFECTED_RESOURCE_ORDER = List.of(
			CommandOrder.SEND_POSTFACH_MAIL,
			CommandOrder.SEND_POSTFACH_NACHRICHT,
			CommandOrder.RESEND_POSTFACH_MAIL,
			CommandOrder.RECEIVE_POSTFACH_NACHRICHT);

	@Override
	public boolean isResponsibleForRelatedResource(CommandOrder order) {
		return RESPONSIBLE_ORDER.contains(order);
	}

	@Override
	public WebMvcLinkBuilder createRelatedResourceLinkBuilder(Command command) {
		return linkTo(PostfachMailController.class).slash(command.getRelationId());
	}

	@Override
	public boolean isResponsibleForEffectedResource(CommandOrder order) {
		return RESPONSIBLE_EFFECTED_RESOURCE_ORDER.contains(order);
	}

	@Override
	public WebMvcLinkBuilder createEffectedResourceLinkBuilder(Command command) {
		return linkTo(methodOn(PostfachMailController.class).getAll(command.getVorgangId()));
	}
}