/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.util.Collection;
import java.util.Collections;
import java.util.Optional;

import de.ozgcloud.alfa.common.user.UserId;
import de.ozgcloud.alfa.vorgang.Vorgang.VorgangStatus;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder(toBuilder = true)
class FilterCriteria {

	private boolean filterByOrganisationseinheitenId;
	@Builder.Default
	private Collection<String> organisationsEinheitenId = Collections.emptyList();
	@Builder.Default
	private Optional<VorgangStatus> status = Optional.empty();
	private boolean filterByAssignedTo;
	@Builder.Default
	private Optional<UserId> assignedTo = Optional.empty();
	private boolean hasNextWiedervorlageFrist;
	private boolean hasUngeleseneNachrichten;
}
