/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.collaboration;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.collaboration.FachstelleCollaboration.FachstelleCollaborationBuilder;

public class FachstelleCollaborationTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String COLLABORATION_VORGANG_ID = UUID.randomUUID().toString();
	public static final long COLLABORATION_LEVEL = 4L;
	public static final String TITEL = LoremIpsum.getInstance().getWords(7);
	public static final String BESCHREIBUNG = LoremIpsum.getInstance().getParagraphs(2, 5);
	public static final String ZUSTAENDIGE_STELLE = FachstelleTestFactory.ID;

	public static FachstelleCollaboration create() {
		return createBuilder()
				.build();
	}

	private static FachstelleCollaborationBuilder createBuilder() {
		return FachstelleCollaboration.builder()
				.id(ID)
				.collaborationVorgangId(COLLABORATION_VORGANG_ID)
				.collaborationLevel(COLLABORATION_LEVEL)
				.titel(TITEL)
				.beschreibung(BESCHREIBUNG)
				.zustaendigeStelle(ZUSTAENDIGE_STELLE);
	}
}
