/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.collaboration.request.GrpcCollaborationRequest;

class GrpcCollaborationRequestForOrganisationsEinheitTestFactory {

	public static final String ID = OrganisationsEinheitCollaborationTestFactory.ID;
	public static final String COLLABORATION_VORGANG_ID = OrganisationsEinheitCollaborationTestFactory.COLLABORATION_VORGANG_ID;
	public static final String TITEL = OrganisationsEinheitCollaborationTestFactory.TITEL;
	public static final String BESCHREIBUNG = OrganisationsEinheitCollaborationTestFactory.BESCHREIBUNG;
	public static final String ZUSTAENDIGE_STELLE = OrganisationsEinheitCollaborationTestFactory.ZUSTAENDIGE_STELLE;

	public static GrpcCollaborationRequest create() {
		return createBuilder()
				.setCollaborationLevel(OrganisationsEinheitCollaborationTestFactory.COLLABORATION_LEVEL)
				.build();
	}

	public static GrpcCollaborationRequest.Builder createBuilder() {
		return GrpcCollaborationRequest.newBuilder()
				.setId(ID)
				.setCollaborationVorgangId(COLLABORATION_VORGANG_ID)
				.setTitel(TITEL)
				.setBeschreibung(BESCHREIBUNG)
				.setZustaendigeStelle(ZUSTAENDIGE_STELLE);
	}
}
